<bugID>1365713<Summary>Tabs are all restored as blank frequently after restart of applying nightly update</Summary><Description>Created attachment 8868710
Screenshot

I just hit this for the third time in the past few days. I restarted to apply an update and my session didn't restore properly. I get a couple of windows each with some tabs in them, but the tabs are all blank (see screenshot).

The browser console shows a bunch of errors, I'm not sure if any of them are the root cause or if they're all just a cascade of failures:
1495047623229	addons.xpi	WARN	disabling @amazonapp since it is not multiprocess compatible
1495047623232	addons.xpi	WARN	disabling @amazonapp since it is not multiprocess compatible
1495047623415	addons.xpi	WARN	disabling jid1-mdjmA7if6lo8lA@jetpack since it is not multiprocess compatible
1495047623425	addons.xpi	WARN	disabling onepassword4@agilebits.com since it is not multiprocess compatible
1495047623426	addons.xpi	WARN	disabling onepassword4@agilebits.com since it is not multiprocess compatible
String.localeCompare is deprecated; use String.prototype.localeCompare instead[Learn More]  XPIProvider.jsm:2930:25
While creating services from category 'profile-after-change', service for entry 'Notification Telemetry Service', contract ID '@mozilla.org/notificationTelemetryService;1' does not implement nsIObserver.
NS_ERROR_UNEXPECTED: Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED) [nsIScriptSecurityManager.getLoadContextCodebasePrincipal]  remote-browser.xml:370
TypeError: frameLoader.tabParent is null[Learn More]  remote-browser.xml:243:13
NS_ERROR_UNEXPECTED: Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED) [nsIScriptSecurityManager.getLoadContextCodebasePrincipal]  remote-browser.xml:370
TypeError: frameLoader.tabParent is null[Learn More]  remote-browser.xml:243:13
TelemetryStopwatch: key "FX_SESSION_RESTORE_RESTORE_WINDOW_MS" was already initialized  TelemetryStopwatch.jsm:340
NS_ERROR_UNEXPECTED: Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED) [nsIScriptSecurityManager.getLoadContextCodebasePrincipal]  remote-browser.xml:370
TypeError: frameLoader.tabParent is null[Learn More]  remote-browser.xml:243:13
A promise chain failed to handle a rejection. Did you forget to '.catch', or did you forget to 'return'?
See https://developer.mozilla.org/Mozilla/JavaScript_code_modules/Promise.jsm/Promise

Date: Wed May 17 2017 15:00:24 GMT-0400 (Eastern Standard Time)
Full Message: TypeError: frameLoader.tabParent is null
Full Stack: set_docShellIsActive@chrome://global/content/bindings/remote-browser.xml:243:13
_insertBrowser@chrome://browser/content/tabbrowser.xml:2220:13
addTab@chrome://browser/content/tabbrowser.xml:2438:15
ssi_restoreWindow@resource:///modules/sessionstore/SessionStore.jsm:3297:17
ssi_restoreWindows@resource:///modules/sessionstore/SessionStore.jsm:3468:5
initializeWindow@resource:///modules/sessionstore/SessionStore.jsm:1158:11
onBeforeBrowserWindowShown/&lt;@resource:///modules/sessionstore/SessionStore.jsm:1307:9
process@resource://gre/modules/Promise.jsm -&gt; resource://gre/modules/Promise-backend.js:922:23
walkerLoop@resource://gre/modules/Promise.jsm -&gt; resource://gre/modules/Promise-backend.js:806:7
Promise*scheduleWalkerLoop@resource://gre/modules/Promise.jsm -&gt; resource://gre/modules/Promise-backend.js:739:11
schedulePromise@resource://gre/modules/Promise.jsm -&gt; resource://gre/modules/Promise-backend.js:770:7
Promise.prototype.then@resource://gre/modules/Promise.jsm -&gt; resource://gre/modules/Promise-backend.js:455:5
push@resource://gre/modules/osfile/osfile_async_front.jsm:375:19
read@resource://gre/modules/osfile/osfile_async_front.jsm:1093:10
readJSON@resource://services-common/utils.js:385:12
get@resource://gre/modules/FxAccountsStorage.jsm:464:12
_readPlainStorage@resource://gre/modules/FxAccountsStorage.jsm:275:19
async*_initialize@resource://gre/modules/FxAccountsStorage.jsm:96:38
async*initialize@resource://gre/modules/FxAccountsStorage.jsm:64:32
newAccountState@resource://gre/modules/FxAccounts.jsm:411:5
initialize@resource://gre/modules/FxAccounts.jsm:385:32
this.FxAccounts@resource://gre/modules/FxAccounts.jsm:351:3
@resource://gre/modules/FxAccounts.jsm:1768:11
get@resource://gre/modules/XPCOMUtils.jsm:198:21
XPCU_moduleLambda@resource://gre/modules/XPCOMUtils.jsm:273:9
get@resource://gre/modules/XPCOMUtils.jsm:198:21
_getUserData@resource://gre/modules/services-sync/UIState.jsm:163:7
async*_refreshFxAState@resource://gre/modules/services-sync/UIState.jsm:127:26
async*refreshState@resource://gre/modules/services-sync/UIState.jsm:107:11
async*init@resource://gre/modules/services-sync/UIState.jsm:75:5
isReady@resource://gre/modules/services-sync/UIState.jsm:66:7
isReady@resource://gre/modules/services-sync/UIState.jsm:236:12
init@chrome://browser/content/browser-sync.js:92:9
_delayedStartup@chrome://browser/content/browser.js:1527:5
EventListener.handleEvent*onLoad@chrome://browser/content/browser.js:1260:5
onload@chrome://browser/content/browser.xul:1:1
  remote-browser.xml:243
Failed to fetch the data for an item Error: Trying to update the GUIDs cache with an invalid GUID  PlacesUtils.jsm:2014
Failed to fetch the data for an item Error: Trying to update the GUIDs cache with an invalid GUID  PlacesUtils.jsm:2014

I've had to manually copy a sessionstore backup in my profile to get my session back each time. This is not great. Happy to provide whatever information I can that would help debug this.</Description></bugID>